View Issue Details

IDProjectCategoryView StatusLast Update
0016704mantisbtfilterspublic2019-12-13 18:06
ReporterPaulux Assigned Todregad  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionno change required 
Product Version1.2.15 
Summary0016704: Automatic creation of filter for a project based on it's version
Description

Why not?
Automatic creation of filters based on version for all new project is very useful if you connect mantis with a tool like Mylyn in Eclipse.

TagsNo tags attached.

Activities

dregad

dregad

2013-12-16 08:13

developer   ~0038862

Your requirement is not clear at all. Please be more precise.

Paulux

Paulux

2013-12-16 09:41

reporter   ~0038865

At the moment, from view issue page, you can filter issue and save the query for further usage (ex. Blocking v1.3 Issues http://www.mantisbt.org/bugs/view_all_set.php?type=3&source_query_id=10517).
I think that is useful if an administrator can enable the automatic creation and save of filter based on available unreleased version of a project,
or rather a filter that include all issues with the same target version for a project. (ex. Blocking v1.3 Issues)

dregad

dregad

2013-12-17 11:52

developer   ~0038870

The problem with your suggestion, is that the creation of a filter is bound to be implementation-specific as users will want to have different criteria for selecting issues, so it will not be possible to have a "one size fits all".

The only thing that I can think of which could possibly work along the lines of what you want, is to have some kind of "smart" filter criteria for version, like [next unreleased] that would pick the version by status / date instead of by name.

dregad

dregad

2019-12-03 07:15

developer   ~0063172

Paulux,

You did not provide any feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide the requested information.

Issue History

Date Modified Username Field Change
2013-12-16 08:06 Paulux New Issue
2013-12-16 08:13 dregad Note Added: 0038862
2013-12-16 08:13 dregad Status new => feedback
2013-12-16 09:41 Paulux Note Added: 0038865
2013-12-16 09:41 Paulux Status feedback => new
2013-12-17 11:52 dregad Note Added: 0038870
2013-12-17 11:52 dregad Status new => feedback
2019-12-03 07:15 dregad Assigned To => dregad
2019-12-03 07:15 dregad Status feedback => resolved
2019-12-03 07:15 dregad Resolution open => no change required
2019-12-03 07:15 dregad Note Added: 0063172
2019-12-13 18:06 atrol Status resolved => closed